org.eclipse.gef4.dot.internal.dot

## Class DotExtractor

- java.lang.Object
- - org.eclipse.gef4.dot.internal.dot.DotExtractor

    public final class DotExtractor
    extends java.lang.Object

Extracts a DOT graph substring from a string or file.

### Field Summary

Fields
`static java.lang.String` `NO_DOT` The DOT graph returned if the input contains no DOT graph substring.

### Constructor Summary

Constructors
Constructor and Description
`DotExtractor(java.io.File file)`
`DotExtractor(java.lang.String input)`

### Method Summary

Methods
`java.lang.String` `getDotString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_DOT

    public static final java.lang.String NO_DOT

The DOT graph returned if the input contains no DOT graph substring.

See Also:
  Constant Field Values

### Constructor Detail

#### DotExtractor

    public DotExtractor(java.lang.String input)

Parameters:
  `input` - The string to extract a DOT graph substring from

#### DotExtractor

    public DotExtractor(java.io.File file)

Parameters:
  `file` - The file to extract a DOT substring from

### Method Detail

#### getDotString

    public java.lang.String getDotString()

Returns:
  A DOT string extracted from the input, or `NO_DOT`, a valid DOT graph